Package org.apache.lucene.analysis.ja

## Class JapanesePartOfSpeechStopFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.TokenFilterFactory
    - - org.apache.lucene.analysis.ja.JapanesePartOfSpeechStopFilterFactory

- All Implemented Interfaces:
    `ResourceLoaderAware`

      public class JapanesePartOfSpeechStopFilterFactory
      extends TokenFilterFactory
      implements ResourceLoaderAware

  Factory for `JapanesePartOfSpeechStopFilter`.

       <fieldType name="text_ja" class="solr.TextField">
         <analyzer>
           <tokenizer class="solr.JapaneseTokenizerFactory"/>
           <filter class="solr.JapanesePartOfSpeechStopFilterFactory"
                   tags="stopTags.txt"/>
         </analyzer>
       </fieldType>

  Since:
    3.6.0
  SPI Name (case-insensitive: if the name is 'htmlStrip', 'htmlstrip' can be used when looking up the service).
    "japanesePartOfSpeechStop"

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `NAME` |

    - ### Fields inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

      `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JapanesePartOfSpeechStopFilterFactory()` | Default ctor for compatibility with SPI
    `JapanesePartOfSpeechStopFilterFactory​(Map<String,​String> args)` | Creates a new JapanesePartOfSpeechStopFilterFactory

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TokenStream` | `create​(TokenStream stream)` |
    `void` | `inform​(ResourceLoader loader)` |

    - ### Methods inherited from class org.apache.lucene.analysis.TokenFilterFactory

      `availableTokenFilters, findSPIName, forName, lookupClass, normalize, reloadTokenFilters`

    - ### Methods inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

      `defaultCtorException, get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JapanesePartOfSpeechStopFilterFactory

          public JapanesePartOfSpeechStopFilterFactory​(Map<String,​String> args)

      Creates a new JapanesePartOfSpeechStopFilterFactory

    - #### JapanesePartOfSpeechStopFilterFactory

          public JapanesePartOfSpeechStopFilterFactory()

      Default ctor for compatibility with SPI

  - ### Method Detail

    - #### inform

          public void inform​(ResourceLoader loader)
                      throws IOException

      Specified by:
        `inform` in interface `ResourceLoaderAware`
      Throws:
        `IOException`

    - #### create

          public TokenStream create​(TokenStream stream)

      Specified by:
        `create` in class `TokenFilterFactory`